.Loading {
  z-index: 100;
  top: 0;
  left: 0;
  backdrop-filter: blur(2.5px);
  background-color: rgba(255, 255, 255, 0.1);
  .lds-ring {
    display: inline-block;
    position: relative;
    width: 100px;
    height: 100px;
    div {
      box-sizing: border-box;
      display: block;
      position: absolute;
      width: 100%;
      height: 100%;
      border: 8px solid;
      border-radius: 50%;
      animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
      border-left-color: transparent !important;
      border-right-color: transparent !important;
      border-bottom-color: transparent !important;
      &:nth-child(1) {
        animation-delay: -0.45s;
      }
      &:nth-child(2) {
        animation-delay: -0.3s;
      }
      &:nth-child(3) {
        animation-delay: -0.15s;
      }
    }
  }
}

@keyframes lds-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.Button {
  position: relative;
  overflow: hidden;
  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: -50%;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.125);
    pointer-events: none;
    transform: skewX(25deg);
  }
}
.IconButton {
  border: 1px solid rgba(0, 0, 0, 0.8);
  width: max-content;
  .myIcon-root {
    float: left;
    padding: 0 10px 0 0;
  }
}

.Input {
  width: 100%;
  height: fit-content;
  .input-box {
    textarea {
      min-height: 100px;
    }
    .password-hardness {
      top: calc(100% + 20px);
      left: 0;
      transition: 250ms;
      pointer-events: none;
      transform: translateY(10px);
      opacity: 0;
      &.show {
        pointer-events: all;
        transform: translateY(0);
        opacity: 1;
      }
      &::before {
        content: "";
        position: absolute;
        width: 25px;
        height: 25px;
        bottom: calc(100% - 12.5px);
        left: calc(50% - 12.5px);
        transform: rotateZ(45deg);
        background-color: inherit;
      }
    }
  }
  &.focused .input-box::before {
    transform-origin: 100% 0;
    transform: scaleX(1);
  }

  &.focused .password-hardness {
    pointer-events: all;
    transform: translateY(0);
    opacity: 1;
  }

  .my-input-text{
    width: 1%;
    height: 40px;
    border: 0;
    border-radius: 0;
    margin: 0 0 0 3px;

    position: relative;
    flex: 1 1 auto;
    min-width: 0;
    display: block;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    appearance: none;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  }
  .my-input-icon{
    height:40px;
    border:0px;
    width:40px;
  }
  .my-input-group{
    height: fit-content;
    border: 1px solid lightgrey;
    border-radius: 0.25rem;
    transition: 0.1s;
  }
  .my-control-focus {
    border: 1px solid #86b7fe;
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgba(var(--bs-info-rgb),25%);
  }
}
.Input,
.Select {
  .message {
    min-height: 15px;
    font-size: 0.6rem;
  }
}
.Modal {
  inset: 0;
  z-index: 10;
  .dialog {
    // width: 500px;
    max-height: 100%;
    pointer-events: all;
  }
  &:not(.show) {
    pointer-events: none;
    background-color: transparent;
    .dialog {
      transform: scale(0);
    }
  }
  &.show {
    background-color: rgba($color: #000000, $alpha: 0.5);
    .dialog {
      transform: scale(1);
    }
  }
}
.Pagination {
  height: 40px;
  .pagination-box {
    .btn {
      width: 30px;
      height: 30px;
    }
  }
}
.Table {
  // min-height: 375px;
  table {
    min-width: 400px;
    border-collapse: collapse;
    &.table-hover {
      tbody {
        tr {
          transition: 0.2s;
          cursor: pointer;
        }
      }
    }
    * {
      white-space: inherit;
    }
  }
}
.sidebar {
  // pointer-events: none;
  background-color: transparent;
  transition: 250ms;
  .sidebar-menu {
    width: 300px;
    transform: translateX(-100%);
    transition: 250ms;
  }
  &.active {
    pointer-events: all;
    background-color: rgba($color: #000000, $alpha: 0.15);
    .sidebar-menu {
      transform: translateX(0);
    }
  }
}
.PairBox{
  cursor: pointer;
  color: #484848;
  width: fit-content;
  border: 1px solid #484848;
  padding: 5px;
  border-radius: 5px;
  margin: 5px 10px 5px 10px;
  &:hover{
    background-color: #484848;
    color: white;
  }
  .pairbox-name{
  }
  .pairbox-close{
    color: red;
  }
}

.Label{
  .label-tooltip {
    position: relative;
    display: inline-block;
  }

  .label-tooltip .label-tooltiptext {
    visibility: hidden;
    width: max-content;
    background-color: #555;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 5px;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 50%;
    margin-left: -60px;
    opacity: 0;
    transition: opacity 0.3s;
  }

  .label-tooltip .label-tooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
  }

  //.label-tooltip:hover .label-tooltiptext {
  //  visibility: visible;
  //  opacity: 1;
  //}
}

.Text{
  .disabled{
    cursor: not-allowed;
    opacity: 0.6;
  }
}